Subject: Re: Loadmap and Filecore problems on an A5000

From: James Turner <[email-masked]>
Date: Mon, 1 Jun 1998 13:29:08 +0100 (BST)

On Tue, 26 May 1998, Phil Norman wrote:

> On Tue, 26 May 1998, Matthew Wilcox wrote:
> 
> There is a way to hack the bootloader so it automatically assumes what 
> extra arguments you want it to assume.  I did it to mine in the following 
> manner:
> 
> 1:	Ran the bootloader through the debugger and got it to decompress 
> itself, and then used the *command thing from the debugger's main menu to 
> *save the now-decompressed !RunImage (*save $.foo 8000 <whatever the 
> final address in the current wimpslot is> - use the debugger's window to 
> scroll down to the end if application memory to find this out).
> 
> 2:	Load the decompressed !RunImage into your favourite text editor 
> and clip as much of the end off as you feel safe clipping (most of the 
> wimpslot you saved will be data or random garbage, which can be safely 
> removed without changing the way the program runs).

In order to avoid all the mucking about described above, you can use 
Acorn's "Unsqueeze" module to decompress the !RunImage file properly. It 
can be found hidden inside the !Patch utility included on the hard discs of 
newer machines (or on the "RISC OS 3 Extras Disc" (or whatever it's 
called) for older machines).

AFAIK it provides a single * command, thus

unsqueeze <source file> <destination file>

-- 
_______James Turner - [email-masked]
       "I need a vacation" - The Terminator
___________________________________________________

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]